package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 极差奖衔枚举
 */
@AllArgsConstructor
@Getter
public enum ERangeAwards {

    S0(0, "S0", 0, EnumsPrefixConstants.RANGE_AWARDS + 0),

    S1(2, "S1", 0, EnumsPrefixConstants.RANGE_AWARDS + 2),
    S2(4, "S2", 0, EnumsPrefixConstants.RANGE_AWARDS + 4),

    S3(6, "S3", 0, EnumsPrefixConstants.RANGE_AWARDS + 6),

    S4(8, "S4", 0, EnumsPrefixConstants.RANGE_AWARDS + 8),

    S5(10, "S5", 0, EnumsPrefixConstants.RANGE_AWARDS + 10),

    S6(12, "S6", 0, EnumsPrefixConstants.RANGE_AWARDS + 12),

    S7(14, "S7", 0, EnumsPrefixConstants.RANGE_AWARDS + 14);

    /**
     * 实际值
     */
    private final int value;

    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

}
